%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Class/Inspector.pm) perl(Config.pm) perl(Cwd.pm) perl(Debug/STDERR.pm) perl(DynaLoader.pm) perl(Exporter.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(FileHandle.pm) perl(HTTP/Request/FromLog.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Module/Install.pm) perl(Net/FTP.pm) perl(Net/SSH/Perl.pm) perl(POE.pm) perl(POE/Component/Client/HTTP.pm) perl(POE/Component/Client/Keepalive.pm) perl(POE/Wheel/Run.pm) perl(Socket.pm) perl(Test/Base.pm) perl(Test/Builder/Module.pm) perl(Test/Kwalitee.pm) perl(UNIVERSAL/require.pm) perl(XSLoader.pm) perl(YAML/Dumper/Base.pm) perl(YAML/Node.pm) perl(YAML/Tiny.pm) perl(base.pm) perl(inc/Module/Install.pm)
# END SourceDeps(oneline)
%define module_version 0.01011
%define module_name POE-Component-RemoteTail
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01011
Release: alt1
Summary: tail to remote server's access_log on ssh connection.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/M/MI/MIKI/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
POE::Component::RemoteTail provides some loop events that tailing access_log on remote host.
It replaces "ssh -A user@host tail -F access_log" by the same function.
( 'tail -F' is same as 'tail --follow=name --retry') 


This moduel does not allow 'PasswordAuthentication'. 
Use RSA or DSA keys, or you must write your Custom Engine with this module.
( ex. POE::Component::RemoteTail::CustomEngine::NetSSHPerl.pm )



%prep
%setup -n %{module_name}-%{module_version}
sed -i -e s,use_test_base,, Makefile.PL

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/P*

%changelog
* Mon May 26 2014 Igor Vlasenko <viy@altlinux.ru> 0.01011-alt1
- initial import by package builder

